|
|||||||||
| Home >> All >> org >> apache >> coyote >> [ ajp overview ] | PREV NEXT | ||||||||
A
- A - Static variable in class org.apache.coyote.ajp.Constants
- 'A'.
- ACK_BYTES - Static variable in class org.apache.coyote.ajp.Constants
- AjpAprProcessor - class org.apache.coyote.ajp.AjpAprProcessor.
- Processes HTTP requests.
- AjpAprProcessor(AprEndpoint) - Constructor for class org.apache.coyote.ajp.AjpAprProcessor
- AjpAprProcessor.SocketInputBuffer - class org.apache.coyote.ajp.AjpAprProcessor.SocketInputBuffer.
- This class is an input buffer which will read its data from an input stream.
- AjpAprProcessor.SocketInputBuffer() - Constructor for class org.apache.coyote.ajp.AjpAprProcessor.SocketInputBuffer
- AjpAprProcessor.SocketOutputBuffer - class org.apache.coyote.ajp.AjpAprProcessor.SocketOutputBuffer.
- This class is an output buffer which will write data to an output stream.
- AjpAprProcessor.SocketOutputBuffer() - Constructor for class org.apache.coyote.ajp.AjpAprProcessor.SocketOutputBuffer
- AjpAprProtocol - class org.apache.coyote.ajp.AjpAprProtocol.
- Abstract the protocol implementation, including threading, etc.
- AjpAprProtocol() - Constructor for class org.apache.coyote.ajp.AjpAprProtocol
- AjpAprProtocol.AjpConnectionHandler - class org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler.
- AjpAprProtocol.AjpConnectionHandler(AjpAprProtocol) - Constructor for class org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler
- AjpMessage - class org.apache.coyote.ajp.AjpMessage.
- A single packet for communication between the web server and the container.
- AjpMessage() - Constructor for class org.apache.coyote.ajp.AjpMessage
- a - Static variable in class org.apache.coyote.ajp.Constants
- 'a'.
- action(ActionCode, Object) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Send an action to the connector.
- adapter - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Associated adapter.
- adapter - Variable in class org.apache.coyote.ajp.AjpAprProtocol
- Adapter which will process the requests recieved by this endpoint.
- appendByte(int) - Method in class org.apache.coyote.ajp.AjpMessage
- Append a byte (1 byte) to the message.
- appendByteChunk(ByteChunk) - Method in class org.apache.coyote.ajp.AjpMessage
- Write a ByteChunk out at the current write position.
- appendBytes(MessageBytes) - Method in class org.apache.coyote.ajp.AjpMessage
- Write a MessageBytes out at the current write position.
- appendBytes(byte[], int, int) - Method in class org.apache.coyote.ajp.AjpMessage
- Copy a chunk of bytes into the packet, starting at the current write position.
- appendCharChunk(CharChunk) - Method in class org.apache.coyote.ajp.AjpMessage
- Write a CharChunk out at the current write position.
- appendInt(int) - Method in class org.apache.coyote.ajp.AjpMessage
- Add a short integer (2 bytes) to the message.
- appendLongInt(int) - Method in class org.apache.coyote.ajp.AjpMessage
- Append an int (4 bytes) to the message.
- appendString(String) - Method in class org.apache.coyote.ajp.AjpMessage
- Write a String out at the current write position.
- attributes - Variable in class org.apache.coyote.ajp.AjpAprProtocol
- Configuration attributes.
B
- BUFFERED_FILTER - Static variable in class org.apache.coyote.ajp.Constants
- Buffered filter (input)
- bodyBytes - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Body message.
- bodyMessage - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Body message.
- buf - Variable in class org.apache.coyote.ajp.AjpMessage
- Fixed size buffer.
C
- CHUNKED - Static variable in class org.apache.coyote.ajp.Constants
- CHUNKED_FILTER - Static variable in class org.apache.coyote.ajp.Constants
- Chunked filters (input and output).
- CLOSE - Static variable in class org.apache.coyote.ajp.Constants
- CLOSE_BYTES - Static variable in class org.apache.coyote.ajp.Constants
- COLON - Static variable in class org.apache.coyote.ajp.Constants
- COLON.
- COLON_BYTES - Static variable in class org.apache.coyote.ajp.Constants
- CONNECTION - Static variable in class org.apache.coyote.ajp.Constants
- CR - Static variable in class org.apache.coyote.ajp.Constants
- CR.
- CRLF - Static variable in class org.apache.coyote.ajp.Constants
- CRLF.
- CRLF_BYTES - Static variable in class org.apache.coyote.ajp.Constants
- Constants - class org.apache.coyote.ajp.Constants.
- Constants.
- Constants() - Constructor for class org.apache.coyote.ajp.Constants
- cHandler - Variable in class org.apache.coyote.ajp.AjpAprProtocol
- Connection handler for AJP.
- certificates - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Byte chunk for certs.
- count - Static variable in class org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler
D
- DEFAULT_CONNECTION_LINGER - Static variable in class org.apache.coyote.ajp.Constants
- DEFAULT_CONNECTION_TIMEOUT - Static variable in class org.apache.coyote.ajp.Constants
- DEFAULT_CONNECTION_UPLOAD_TIMEOUT - Static variable in class org.apache.coyote.ajp.Constants
- DEFAULT_HTTP_HEADER_BUFFER_SIZE - Static variable in class org.apache.coyote.ajp.Constants
- Default HTTP header buffer size.
- DEFAULT_SERVER_SOCKET_TIMEOUT - Static variable in class org.apache.coyote.ajp.Constants
- DEFAULT_TCP_NO_DELAY - Static variable in class org.apache.coyote.ajp.Constants
- destroy() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- doRead(ByteChunk, Request) - Method in class org.apache.coyote.ajp.AjpAprProcessor.SocketInputBuffer
- Read bytes into the specified chunk.
- doWrite(ByteChunk, Response) - Method in class org.apache.coyote.ajp.AjpAprProcessor.SocketOutputBuffer
- Write chunk.
- domain - Variable in class org.apache.coyote.ajp.AjpAprProtocol
- dump(String) - Method in class org.apache.coyote.ajp.AjpMessage
- Dump the contents of the message, prefixed with the given String.
E
- empty - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Body empty flag.
- end() - Method in class org.apache.coyote.ajp.AjpMessage
- For a packet to be sent to the web server, finish the process of accumulating data and write the length of the data payload into the header.
- endMessageArray - Static variable in class org.apache.coyote.ajp.AjpAprProcessor
- End message array.
- endOfStream - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- End of stream flag.
- endpoint - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Associated endpoint.
- ep - Variable in class org.apache.coyote.ajp.AjpAprProtocol
- Associated APR endpoint.
- error - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Error flag.
F
- finish() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Finish AJP response.
- finished - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Finished response.
- first - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- First read.
- flush() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Callback to write data from the buffer.
G
- GET - Static variable in class org.apache.coyote.ajp.Constants
- GET.
- GZIP_FILTER - Static variable in class org.apache.coyote.ajp.Constants
- GZIP filter (output).
- getAdapter() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Get the associated adapter.
- getAdapter() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getAddress() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getAttribute(String) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getAttributeNames() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getBacklog() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getBodyMessageBuffer - Static variable in class org.apache.coyote.ajp.AjpAprProcessor
- Direct buffer used for sending right away a get body message.
- getBuffer() - Method in class org.apache.coyote.ajp.AjpMessage
- Return the underlying byte buffer.
- getByte() - Method in class org.apache.coyote.ajp.AjpMessage
- getBytes(MessageBytes) - Method in class org.apache.coyote.ajp.AjpMessage
- getBytes(byte[]) - Method in class org.apache.coyote.ajp.AjpMessage
- Copy a chunk of bytes from the packet into an array and advance the read position past the chunk.
- getDomain() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getFirstReadTimeout() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getHeaderLength() - Method in class org.apache.coyote.ajp.AjpMessage
- getInt() - Method in class org.apache.coyote.ajp.AjpMessage
- Read an integer from packet, and advance the read position past it.
- getLen() - Method in class org.apache.coyote.ajp.AjpMessage
- Return the current message length.
- getLongInt() - Method in class org.apache.coyote.ajp.AjpMessage
- Read a 32 bits integer from packet, and advance the read position past it.
- getMaxThreads() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getName() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getObjectName() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getPollTime() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getPollerSize() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getPort() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getProperty(String) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- Get a property
- getRequest() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Get the request associated with this processor.
- getSoLinger() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getSoTimeout() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getTcpNoDelay() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getThreadPriority() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getTomcatAuthentication() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- getTomcatAuthentication() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- getUseSendfile() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- global - Variable in class org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler
H
- HEAD - Static variable in class org.apache.coyote.ajp.Constants
- HEAD.
- HT - Static variable in class org.apache.coyote.ajp.Constants
- HT.
- HTTP_10 - Static variable in class org.apache.coyote.ajp.Constants
- HTTP/1.0.
- HTTP_11 - Static variable in class org.apache.coyote.ajp.Constants
- HTTP/1.1.
- HTTP_11_BYTES - Static variable in class org.apache.coyote.ajp.Constants
- H_SIZE - Static variable in class org.apache.coyote.ajp.Constants
- Size of basic packet header
- headerTransArray - Static variable in class org.apache.coyote.ajp.Constants
- hex(int) - Static method in class org.apache.coyote.ajp.AjpMessage
- hexLine(byte[], int, int) - Static method in class org.apache.coyote.ajp.AjpMessage
- hostNameC - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Host name (used to avoid useless B2C conversion on the host name).
I
- IDENTITY_FILTER - Static variable in class org.apache.coyote.ajp.Constants
- Identity filters (input and output).
- init() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- Start the protocol
- inputBuffer - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Direct buffer used for input.
J
- JK_AJP13_CPING_REQUEST - Static variable in class org.apache.coyote.ajp.Constants
- JK_AJP13_CPONG_REPLY - Static variable in class org.apache.coyote.ajp.Constants
- JK_AJP13_END_RESPONSE - Static variable in class org.apache.coyote.ajp.Constants
- JK_AJP13_FORWARD_REQUEST - Static variable in class org.apache.coyote.ajp.Constants
- JK_AJP13_GET_BODY_CHUNK - Static variable in class org.apache.coyote.ajp.Constants
- JK_AJP13_PING_REQUEST - Static variable in class org.apache.coyote.ajp.Constants
- JK_AJP13_SEND_BODY_CHUNK - Static variable in class org.apache.coyote.ajp.Constants
- JK_AJP13_SEND_HEADERS - Static variable in class org.apache.coyote.ajp.Constants
- JK_AJP13_SHUTDOWN - Static variable in class org.apache.coyote.ajp.Constants
K
- KEEPALIVE - Static variable in class org.apache.coyote.ajp.Constants
- KEEPALIVE_BYTES - Static variable in class org.apache.coyote.ajp.Constants
L
- LC_OFFSET - Static variable in class org.apache.coyote.ajp.Constants
- Lower case offset.
- LF - Static variable in class org.apache.coyote.ajp.Constants
- LF.
- len - Variable in class org.apache.coyote.ajp.AjpMessage
- This actually means different things depending on whether the packet is read or write.
- localProcessor - Variable in class org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler
- log - Static variable in class org.apache.coyote.ajp.AjpAprProcessor
- Logger.
- log - Static variable in class org.apache.coyote.ajp.AjpAprProtocol
- log - Static variable in class org.apache.coyote.ajp.AjpMessage
M
- MAX_PACKET_SIZE - Static variable in class org.apache.coyote.ajp.Constants
- Maximum Total byte size for a AJP packet
- MAX_READ_SIZE - Static variable in class org.apache.coyote.ajp.Constants
- Maximum size of data that can be sent in one packet
- methodTransArray - Static variable in class org.apache.coyote.ajp.Constants
- mserver - Variable in class org.apache.coyote.ajp.AjpAprProtocol
O
- oname - Variable in class org.apache.coyote.ajp.AjpAprProtocol
- org.apache.coyote.ajp - package org.apache.coyote.ajp
- outputBuffer - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Direct buffer used for output.
P
- POST - Static variable in class org.apache.coyote.ajp.Constants
- POST.
- Package - Static variable in class org.apache.coyote.ajp.Constants
- Package name.
- parseHost(MessageBytes) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Parse host.
- pause() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- peekByte() - Method in class org.apache.coyote.ajp.AjpMessage
- peekInt() - Method in class org.apache.coyote.ajp.AjpMessage
- pongMessageBuffer - Static variable in class org.apache.coyote.ajp.AjpAprProcessor
- Direct buffer used for sending right away a pong message.
- pos - Variable in class org.apache.coyote.ajp.AjpMessage
- The current read or write position in the buffer.
- postDeregister() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- postRegister(Boolean) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- preDeregister() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- preRegister(MBeanServer, ObjectName) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- prepareRequest() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- After reading the request headers, we have to setup the request filters.
- prepareResponse() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- When committing the response, we have to validate the set of headers, as well as setup the response filters.
- process(long) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Process pipelined HTTP requests using the specified input and output streams.
- process(long) - Method in class org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler
- processHeader() - Method in class org.apache.coyote.ajp.AjpMessage
- proto - Variable in class org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler
Q
R
- read(int) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Read at least the specified amount of bytes, and place them in the input buffer.
- readMessage(AjpMessage, boolean, boolean) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Read an AJP message.
- readTimeout - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- The socket timeout used when reading the first block of the request header.
- readt(int, boolean) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Read at least the specified amount of bytes, and place them in the input buffer.
- receive() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Receive a chunk of data.
- recycle() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Recycle the processor.
- refillReadBuffer() - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Get more request body data from the web server and store it in the internal buffer.
- replay - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Replay read.
- request - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Request object.
- requestHeaderMessage - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Header message.
- requiredSecret - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Required secret.
- requiredSecret - Variable in class org.apache.coyote.ajp.AjpAprProtocol
- Required secret.
- reset() - Method in class org.apache.coyote.ajp.AjpMessage
- Prepare this packet for accumulating a message from the container to the web server.
- response - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Response object.
- responseHeaderMessage - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Message used for response header composition.
- resume() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- rgOname - Variable in class org.apache.coyote.ajp.AjpAprProtocol
S
- SC_A_ARE_DONE - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_AUTH_TYPE - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_CONTEXT - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_JVM_ROUTE - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_QUERY_STRING - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_REMOTE_USER - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_REQ_ATTRIBUTE - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_SECRET - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_SERVLET_PATH - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_SSL_CERT - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_SSL_CIPHER - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_SSL_KEYSIZE - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_SSL_KEY_SIZE - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_SSL_SESSION - Static variable in class org.apache.coyote.ajp.Constants
- SC_A_STORED_METHOD - Static variable in class org.apache.coyote.ajp.Constants
- SC_M_JK_STORED - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_ACCEPT - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_ACCEPT_CHARSET - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_ACCEPT_ENCODING - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_ACCEPT_LANGUAGE - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_AUTHORIZATION - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_CONNECTION - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_CONTENT_LENGTH - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_CONTENT_TYPE - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_COOKIE - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_COOKIE2 - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_HOST - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_PRAGMA - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_REFERER - Static variable in class org.apache.coyote.ajp.Constants
- SC_REQ_USER_AGENT - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_CONTENT_LANGUAGE - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_CONTENT_LENGTH - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_CONTENT_TYPE - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_DATE - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_LAST_MODIFIED - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_LOCATION - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_SERVLET_ENGINE - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_SET_COOKIE - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_SET_COOKIE2 - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_STATUS - Static variable in class org.apache.coyote.ajp.Constants
- SC_RESP_WWW_AUTHENTICATE - Static variable in class org.apache.coyote.ajp.Constants
- SERVER_BYTES - Static variable in class org.apache.coyote.ajp.Constants
- Server string.
- SP - Static variable in class org.apache.coyote.ajp.Constants
- SP.
- setAdapter(Adapter) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- Set the associated adapter.
- setAdapter(Adapter) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- The adapter, used to call the connector
- setAddress(InetAddress) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setAttribute(String, Object) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- Pass config info
- setBacklog(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setFirstReadTimeout(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setMaxThreads(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setPollTime(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setPollerSize(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setPort(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setProperty(String, String) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- Set a property.
- setRequiredSecret(String) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- setRequiredSecret(String) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setSoLinger(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setSoTimeout(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setTcpNoDelay(boolean) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setThreadPriority(int) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setTomcatAuthentication(boolean) - Method in class org.apache.coyote.ajp.AjpAprProcessor
- setTomcatAuthentication(boolean) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- setUseSendfile(boolean) - Method in class org.apache.coyote.ajp.AjpAprProtocol
- sm - Static variable in class org.apache.coyote.ajp.AjpAprProcessor
- The string manager for this package.
- sm - Static variable in class org.apache.coyote.ajp.AjpAprProtocol
- The string manager for this package.
- sm - Static variable in class org.apache.coyote.ajp.AjpMessage
- The string manager for this package.
- socket - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Socket associated with the current connection.
- start() - Method in class org.apache.coyote.ajp.AjpAprProtocol
- started - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- State flag.
T
- TRANSFERENCODING - Static variable in class org.apache.coyote.ajp.Constants
- tmpMB - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Temp message bytes used for processing.
- tomcatAuthentication - Variable in class org.apache.coyote.ajp.AjpAprProcessor
- Use Tomcat authentication ?
- tomcatAuthentication - Variable in class org.apache.coyote.ajp.AjpAprProtocol
- Should authentication be done in the native webserver layer, or in the Servlet container ?
- tpOname - Variable in class org.apache.coyote.ajp.AjpAprProtocol
V
- VOID_FILTER - Static variable in class org.apache.coyote.ajp.Constants
- Void filters (input and output).
Z
_
- _200_BYTES - Static variable in class org.apache.coyote.ajp.Constants
- _400_BYTES - Static variable in class org.apache.coyote.ajp.Constants
- _404_BYTES - Static variable in class org.apache.coyote.ajp.Constants
A B C D E F G H I J K L M O P Q R S T V Z _
|
|||||||||
| Home >> All >> org >> apache >> coyote >> [ ajp overview ] | PREV NEXT | ||||||||